<script setup lang="ts">
import { useAuthStore } from '@/stores/auth';
import { inject, type Ref } from 'vue'

const drawer = inject<Ref<boolean>>('drawer')
const rail = inject<Ref<boolean>>('rail')
const authStore = useAuthStore()
</script>

<template>
    <v-navigation-drawer v-model="drawer" :rail="rail" permanent @click="rail = false">
        <v-list-item
          prepend-avatar="https://randomuser.me/api/portraits/men/85.jpg"
          :title= authStore.currentUser.fullname 
          nav
        >
          <template v-slot:append>
            <v-btn variant="text" icon="mdi-chevron-left" @click.stop="rail = !rail"></v-btn>
          </template>
        </v-list-item>
  
        <v-divider></v-divider>
  
        <v-list density="compact" nav>
          <v-list-item prepend-icon="mdi-book" title="POS" value="POS" :to="{ name:'pos' }"></v-list-item>
          <v-list-item prepend-icon="mdi-account" title="Users" value="users" :to="{ name:'users'}"></v-list-item>
          <v-list-item
            prepend-icon="mdi-information-outline"
            title="About"
            value="About"
            :to="{ path: '/about'}"
           ></v-list-item>
        </v-list>
      </v-navigation-drawer>
</template>
